• Activer fichier .htaccess apache2

    Un fichier .htaccess est un fichier de configuration utilisé par Apache et qui a la particularité de pouvoir être placé dans un répertoire particulier afin d'impacter uniquement ce répertoire(et ses sous répertoires) et de les protéger par un login/mot de passe.

    Tutoriel réalisé sur Ubuntu 11.04 Natty Narwhal

    Installation de apache2 :

    sudo apt-get install apache2

    Activer les fichiers .htaccess :

    Editer le fichier : /etc/apache2/sites-enabled/000-default

    sudo nano /etc/apache2/sites-enabled/000-default

    Mettre ces lignes à la fin du fichier :

    <Directory /var/www/le_rep_ou_vous_voulez_activer_le_.htaccess>

    AllowOverride all

    </Directory>

    Enregistrez le fichier

    Création du fichier .htaccess

    Aller dans le répertoire situé dans /var/www que l'on veut protéger à l'aide la commande cd.

    faire sudo nano .htaccess

    Remplir le fichier comme ceci :

    AuthUserFile /chemin_complet_ou_sera_stocké_le .htpasswd

    AuthGroupFile /dev/null 

    AuthName "identification requise" (mettez le  message que vous voulez)

    AuthType Basic

    Require valid-user

    Enregistrez le fichier

    Création du .htpasswd

    Aller dans le répertoire indiqué par AuthUserFile avec la commande cd.

    Faire sudo nano .htpasswd

    Mettre dans le fichier

    login:mot de passe

    Vous pouvez créer un mot de passer crypté ici : 

    .htpasswd - .htaccess generateur de mot de passe

    Enregistrez le fichier

    Redémarrez apache

    sudo /etc/init.d/apache2 restart

    Désormais quand vous voudrez vous connecter à votre serveur apache via un navigateur internet vous aurez ceci :

    Télécharger « .htaccess.jpg »

     

     

     




     

     

     

    « Création d'un partage simple en lignes de commandes avec samba Création d'un serveur ssh avec authentification par clés »

    Tags Tags : , , , ,
  • Commentaires

    1
    Blu
    Samedi 28 Juin 2014 à 11:40

    <Limit GET POST>
    Require valid-user
    </Limit>

     

    devrait se transformer en

     Require valid-user

     

    en effet, la balise de limitation est une faille bien connue des .htaccess, elle limite le .htaccess aux requêtes post et get mais en falsifiant la requête on peut passer outre cette limitation

    2
    Samedi 28 Juin 2014 à 12:29

    Bonjour Blu

    Merci de votre précision.

    En effet, les balises de limitations sont des failles de sécurité...

    La modification de mon article a été effectuée....

    Suivre le flux RSS des commentaires


    Ajouter un commentaire

    Nom / Pseudo :

    E-mail (facultatif) :

    Site Web (facultatif) :

    Commentaire :